# Ergodox Host Interface

Host software for [Betalupi Ergodox](https://git.betalupi.com/Mark/QMK).

## Features:
 - Music visualizer ([here](https://git.betalupi.com/Mark/hostdox/src/branch/master/src/signal_processing))
 - Spell checking with hunspell


## Permissions

You'll need to run this binary as a regular user. To allow access to raw hid, add the following udev rule and reboot:

```conf
KERNEL=="hidraw*", ATTRS{idVendor}=="3297", ATTRS{idProduct}=="4976", TAG+="uaccess", GROUP="mark", MODE="660"
```

See the hidraw repo for more information.


## Dependencies:
Run:
 - hunspell

Build:
 - meson (for libmpdclient)
 - ninja (for libmpdclient)
 - gcc


## Building

``make submodules`` to initialize git submodules \
``make all`` to build, or ``make run`` to build and run.